Package org.jfree.layouting.renderer.model

## Class RenderableReplacedContent

- java.lang.Object
- - org.jfree.layouting.renderer.model.RenderNode
  - - org.jfree.layouting.renderer.model.RenderableReplacedContent

-     public class RenderableReplacedContent
      extends RenderNode

  This handles all kinds of renderable rectangular content, mostly images and drawables. It is assumed, that the image can be split on any position, although this is avoided as far as possible. Flame me, but 'crop', 'fit' and 'fit-position' will be implemented later. Yes, they are powerfull, but nothing I want to deal with for the initial throw.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

      `HORIZONTAL_AXIS, VERTICAL_AXIS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RenderableReplacedContent​(java.lang.Object rawObject, org.pentaho.reporting.libraries.resourceloader.ResourceKey source, StrictDimension contentSize, RenderLength width, RenderLength height, CSSValue verticalAlign)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appyStyle​(LayoutContext context, OutputProcessorMetaData metaData)` |
    `StrictDimension` | `getContentSize​()` |
    `java.lang.Object` | `getRawObject​()` |
    `RenderLength` | `getRequestedHeight​()` |
    `RenderLength` | `getRequestedWidth​()` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceKey` | `getSource​()` |
    `CSSValue` | `getVerticalAlign​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

      `clone, derive, deriveFrozen, findNodeById, freeze, getAlignmentAdjust, getAlignmentAdjustResolved, getAlignmentBaseline, getBaselineShift, getBaselineShiftResolved, getChangeTracker, getComputedLayoutProperties, getDimension, getEffectiveMarginBottom, getEffectiveMarginTop, getHeight, getInstanceId, getLayoutContext, getLogicalPage, getMajorAxis, getMaximumBoxWidth, getMinimumChunkWidth, getMinorAxis, getNamespace, getNext, getNodeLayoutProperties, getNormalFlow, getPageContext, getParent, getParentBlockContext, getPosition, getPrev, getStickyMarker, getTagName, getVerticalAlignment, getVisibleNext, getVisiblePrev, getWidth, getX, getY, hibernate, isDirectionLTR, isDirty, isDiscardable, isEmpty, isFrozen, isHibernated, isIcmMetricsFinished, isIgnorableForRendering, isOpen, normalizeAlignment, setComputedLayoutProperties, setDimension, setDirty, setHeight, setHibernated, setIcmMetricsFinished, setMajorAxis, setMaximumBoxWidth, setMinimumChunkWidth, setMinorAxis, setNext, setParent, setPosition, setPrev, setStickyMarker, setWidth, setX, setY, updateChangeTracker`

- - ### Constructor Detail

    - #### RenderableReplacedContent

          public RenderableReplacedContent​(java.lang.Object rawObject,
                                           org.pentaho.reporting.libraries.resourceloader.ResourceKey source,
                                           StrictDimension contentSize,
                                           RenderLength width,
                                           RenderLength height,
                                           CSSValue verticalAlign)

  - ### Method Detail

    - #### appyStyle

          public void appyStyle​(LayoutContext context,
                                OutputProcessorMetaData metaData)

      Overrides:
        `appyStyle` in class `RenderNode`

    - #### getRawObject

          public java.lang.Object getRawObject​()

    - #### getContentSize

          public StrictDimension getContentSize​()

    - #### getSource

          public org.pentaho.reporting.libraries.resourceloader.ResourceKey getSource​()

    - #### getRequestedWidth

          public RenderLength getRequestedWidth​()

    - #### getRequestedHeight

          public RenderLength getRequestedHeight​()

    - #### getVerticalAlign

          public CSSValue getVerticalAlign​()